package com.cloudcross.ssp.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.common.utils.Pager;
import com.cloudcross.ssp.model.DeliverAnalysis;
import com.cloudcross.ssp.model.OperatorReport;
import com.cloudcross.ssp.model.RptZoneHour;

public interface IRptZoneHourService  extends IGenericService<RptZoneHour>{
	/**
	 * 查找某个运营商一天每个小时的每一个小时所有广告位的pv，uv，曝光数等等
	 */
	List<RptZoneHour> findEveryHourData(Map<String, Object> paramMap);

	List<RptZoneHour> findEveryHourDataBack(Map<String, Object> paramMap);
	
	List<DeliverAnalysis> findByParams1(Map<String, Object> paramMap,
			Pager pager);
	
	List<DeliverAnalysis> findByParams1(Map<String, Object> paramMap);
	
	DeliverAnalysis findSumOperator(Map<String, Object> paramMap);
	
	int countByParamsBack(Map<String, Object> paramMap);
	
	List<OperatorReport> findByParamsBack(Map<String, Object> paramMap, Pager pager);
	
	List<OperatorReport> findByParamsBack(Map<String, Object> paramMap);
	
	OperatorReport findSumBack(Map<String, Object> paramMap);
}
